changeset 2503:74ff573c11cc

[project @ 1996-11-13 03:50:19 by jwe]
author jwe
date Wed, 13 Nov 1996 03:51:14 +0000
parents b043097d7e04
children e8e0f57ce4fa
files ChangeLog info/ChangeLog info/Makefile.in info/mkinstalldirs
diffstat 4 files changed, 56 insertions(+), 15 deletions(-) [+]
line wrap: on
line diff
--- a/ChangeLog	Wed Nov 13 03:41:46 1996 +0000
+++ b/ChangeLog	Wed Nov 13 03:51:14 1996 +0000
@@ -1,3 +1,7 @@
+Tue Nov 12 21:50:49 1996  John W. Eaton  <jwe@bevo.che.wisc.edu>
+
+	* info: Update to current release from texinfo-3.9.
+
 Mon Nov 11 23:56:58 1996  John W. Eaton  <jwe@bevo.che.wisc.edu>
 
 	* config.h.bot: Only check value of __GNUC__ and __GNUC_MINOR__ if
--- a/info/ChangeLog	Wed Nov 13 03:41:46 1996 +0000
+++ b/info/ChangeLog	Wed Nov 13 03:51:14 1996 +0000
@@ -7,6 +7,9 @@
 	(info): Don't depend on ../libtxi.a.
 	(info.o): Depend on getopt.h, not $(common)/getopt.h.
 	(.c.o): Don't add -I$(common).
+	(install, uninstall): Customize for Octave.
+	(TOPDIR, top_srcdir): For Octave.
+	Include $(TOPDIR)/Makeconf, for Octave.
 	Don't add $(common) for dvi or info targets.
 
 	* configure.in: Copy here from (in texinfo distribution).
--- a/info/Makefile.in	Wed Nov 13 03:41:46 1996 +0000
+++ b/info/Makefile.in	Wed Nov 13 03:51:14 1996 +0000
@@ -1,5 +1,5 @@
 # Makefile for texinfo/info.	-*- Indented-Text -*-
-# $Id: Makefile.in,v 1.28 1996-11-13 03:41:37 jwe Exp $
+# $Id: Makefile.in,v 1.29 1996-11-13 03:50:37 jwe Exp $
 # 
 # Copyright (C) 1993,96 Free Software Foundation, Inc.
 
@@ -19,10 +19,13 @@
 
 #### Start of system configuration section. ####
 
+TOPDIR = ..
+
 srcdir = @srcdir@
-VPATH  = $(srcdir)
+top_srcdir = @top_srcdir@
+VPATH  = @srcdir@
 
-util   = $(srcdir)/../util
+include $(TOPDIR)/Makeconf
 
 CC = @CC@
 
@@ -94,26 +97,21 @@
 
 infofiles = info.info info-stnd.info
 
+DISTFILES = Makefile.in ChangeLog README NEWS info.1 configure.in \
+	configure mkinstalldirs $(SOURCES) $(INCLUDES) $(TEXINFO)
+
 .c.o:
 	$(CC) -c $(CPPFLAGS) $(LDEFS) $(DEFS) -I. -I$(srcdir) $(CFLAGS) $<
 
 all: info $(infofiles)
 sub-all: all
 
-install: all
-	$(INSTALL_PROGRAM) info $(bindir)/$(binprefix)info
-	-d=$(srcdir); test -f ./info.info && d=.; $(INSTALL_DATA) $$d/info.info $(infodir)/info.info
-	-d=$(srcdir); test -f ./info-stnd.info && d=.; $(INSTALL_DATA) $$d/info-stnd.info $(infodir)/info-stnd.info
-	-$(INSTALL_DATA) $(srcdir)/info.1 $(mandir)/$(manprefix)info.$(manext)
-	$(POST_INSTALL)
-	../util/install-info --info-dir=$(infodir) $(infodir)/info.info
-	../util/install-info --info-dir=$(infodir) $(infodir)/info-stnd.info
+install:
+	$(top_srcdir)/mkinstalldirs $(archlibdir)
+	$(INSTALL_PROGRAM) info $(archlibdir)/info
 
 uninstall:
-	$(RM) $(bindir)/info
-	$(RM) $(infodir)/info.info
-	$(RM) $(infodir)/info-stnd.info
-	$(RM) $(mandir)/$(manprefix)info.$(manext)
+	rm -f $(archlibdir)/info
 
 info: $(OBJS)
 	$(CC) $(LDFLAGS) -o info $(OBJS) $(LOADLIBES)
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/info/mkinstalldirs	Wed Nov 13 03:51:14 1996 +0000
@@ -0,0 +1,36 @@
+#!/bin/sh
+# mkinstalldirs --- make directory hierarchy
+# Author: Noah Friedman <friedman@prep.ai.mit.edu>
+# Created: 1993-05-16
+# Last modified: Wed Jan 25 09:35:21 1995
+# Public domain
+
+errstatus=0
+
+dirmode=0755
+
+for file in ${1+"$@"} ; do 
+   set fnord `echo ":$file" | sed -ne 's/^:\//#/;s/^://;s/\// /g;s/^#/\//;p'`
+   shift
+
+   pathcomp=
+   for d in ${1+"$@"} ; do
+     pathcomp="$pathcomp$d"
+     case "$pathcomp" in
+       -* ) pathcomp=./$pathcomp ;;
+     esac
+
+     if test ! -d "$pathcomp"; then
+        echo "mkdir $pathcomp" 1>&2
+        mkdir "$pathcomp" || errstatus=$?
+        echo "chmod $dirmode $pathcomp" 1>&2
+        chmod $dirmode "$pathcomp" || errstatus=$?
+     fi
+
+     pathcomp="$pathcomp/"
+   done
+done
+
+exit $errstatus
+
+# mkinstalldirs ends here